WHATIS(1)

NOME
whatis - exibe descrições de uma linha de páginas de manual

SINOPSE
whatis [-dlv?V] [-r|-w] [-s lista] [-m sistema[,...]] [-M caminho] [-L localidade] [-C arquivo] nome ...

DESCRIÇÃO
Cada página de manual possui uma descrição curta disponível. whatis pesquisa os nomes de páginas de manual e exibe as descrições de página de manual de qualquer nome correspondido. nome pode conter curingas (-w) ou ser uma expressão regular (-r). Ao usar essas opções, pode ser necessário colocar nome entre aspas ou escapar (\) os caracteres especiais para impedir o shell de interpretá-las. Banco de dados index são usados durante a pesquisa e são atualizados pelo programa mandb. Dependendo da sua instalação, isso pode ser executado por um trabalho periódico do cron, ou pode ser necessário executar manualmente após novas páginas de manual serem instaladas. Para produzir um banco de dados do whatis no estilo texto antigo a partir do banco de dados index, use o comando: whatis -M caminho man -w '*' | sort > manpath/whatis sendo que caminho man é a hierarquia de página de manual tal como /usr/man.

OPÇÕES

-d, --debug
    Emite mensagens de depuração.

-v, --verbose
    Emite mensagens de aviso detalhadas.

-r, --regex
    Interpreta cada nome como uma expressão regular. Se um nome corresponde a qualquer parte de um nome de página, uma correspondência será feita. Essa opção faz com que whatis seja um pouco mais lento devido à natureza das pesquisas a banco de dados.

-w, --wildcard
    Interpreta cada nome como um padrão contendo caracteres curingas do tipo shell. Para uma correspondência ser feita, um nome expandido deve corresponder a todo um nome de página. Essa opção faz com que whatis seja um pouco mais lento devido à natureza das pesquisa a banco de dados.

-l, --long
    Não apara a saída à largura do terminal. Normalmente, a saída será truncada à largura do terminal para evitar resultados causados por seções NAME mal escritas.

-s lista, --sections lista, --section lista
    Pesquisa apenas as seções de manual fornecidas. lista é uma lista de seções separada pelo caractere de dois pontos ou vírgula. Se uma entrada na lista for uma única seção, por exemplo "3", então a lista de descrições exibida incluirá páginas nas seções "3", "3perl", "3x" e por aí vai; se uma entrada na lista possuir uma extensão, por exemplo "3perl", então a lista incluirá apenas páginas naquela parte exata da seção de manual.

-m sistema[,...], --systems=sistema[,...]
    Se esse sistema possui acesso aos nomes de páginas de manual do outro sistema operacional, é possível acessá-las usando essa opção. Para pesquisar os nomes de página de manual do NewOS, use a opção -m NewOS. O sistema especificado pode ser uma combinação de nomes de sistemas operacionais delimitados por vírgula. Para incluir uma pesquisa aos nomes de páginas de manual do sistema operacional nativo, inclua man como nome do sistema no texto do argumento. Essa opção vai sobrescrever a variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifica um conjunto alternativo de hierarquias de páginas de manual, separadas por caractere de dois pontos, a ser pesquisado. Por padrão, whatis usa a variável de ambiente $MANPATH, a menos que esteja vazia ou não definida, caso em que ele vai determinar um manpath apropriado baseado em sua variável de ambiente $PATH. Essa opção sobrescreve o conteúdo de $MANPATH.

-L localidade, --locale=localidade
    whatis geralmente vai determinar sua localidade atual por uma chamada à função C setlocale(3), a qual pergunta a várias variáveis de ambiente, possibilitando incluir $LC_MESSAGES e $LANG. Para temporariamente substituir o valor determinado, use essa opção para fornecer uma localidade diretamente para whatis. Note que isso não surtirá efeito até que a pesquisa por páginas seja iniciada. Saída como a mensagem de ajuda sempre será exibida na localidade inicialmente determinada.

-C arquivo, --config-file=arquivo
    Use esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

STATUS DE SAÍDA

0   Execução com sucesso do programa.

1   Erro de uso, de sintaxe ou no arquivo de configuração.

2   Erro operacional.

16  Nada foi localizado que correspondesse aos critérios especificados.

AMBIENTE

SYSTEM
    Se $SYSTEM estiver definido, ele surte o mesmo efeito que se fosse especificado como um argumento da opção -m.

MANPATH
    Se $MANPATH estiver definido, seu valor é interpretado como um caminho de pesquisa de hierarquia de páginas de manual, separadas por caractere de dois pontos, a ser usado.

MANWIDTH
    Se $MANWIDTH estiver definido, seu valor é usado como largura do terminal (veja a opção --long). Se não estiver definido, a largura do terminal será calculada usando o valor de $COLUMNS, um ioctl(2) se disponível, ou voltando para o padrão de 80 caracteres se todo resto falhar.

ARQUIVOS

/usr/share/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index compatível com FHS.

/usr/share/man/.../whatis
    Um banco de dados de texto tradicional do whatis.

VEJA TAMBÉM
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).